RedPacket
レッドパケット - 受取記録
レッドパケットの受取記録を確認
GET
/
v2
/
redpacket
/
{id}
/
claims
レッドパケット - 受取記録
curl --request GET \
--url https://api.chainstream.io/v2/redpacket/{id}/claims \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstream.io/v2/redpacket/{id}/claims"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstream.io/v2/redpacket/{id}/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasNextPage": true,
"records": [
{
"amount": "100000000",
"claimer": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"mint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"packetId": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"chain": "sol",
"claimedAt": 1717334400000,
"creator": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"txHash": "5UfDuX7hXbL3mFfPdq1pymNHM..."
}
],
"total": 123,
"endCursor": "<string>",
"startCursor": "<string>"
}承認
bearer_authapi_key_auth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
レッドパケット識別子
クエリパラメータ
ページネーションカーソル
ページあたりの結果数
ページネーション方向 Pagination direction
利用可能なオプション:
next, prev このページは役に立ちましたか?
⌘I
レッドパケット - 受取記録

